Package org.springframework.core.convert.support

# Class DefaultConversionService

java.lang.Object
org.springframework.core.convert.support.GenericConversionService
org.springframework.core.convert.support.DefaultConversionService

All Implemented Interfaces:
  `ConversionService`, `ConverterRegistry`, `ConfigurableConversionService`

public class DefaultConversionService extends GenericConversionService
A specialization of `GenericConversionService` configured by default with converters appropriate for most environments.

Designed for direct instantiation but also exposes the static `addDefaultConverters(ConverterRegistry)` utility method for ad-hoc use against any `ConverterRegistry` instance.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller, Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`DefaultConversionService()`
Create a new `DefaultConversionService` with the set of default converters.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCollectionConverters(ConverterRegistry converterRegistry)`
Add common collection converters.
`static void`
`addDefaultConverters(ConverterRegistry converterRegistry)`
Add converters appropriate for most environments.
`static ConversionService`
`getSharedInstance()`
Return a shared default `ConversionService` instance, lazily building it once needed.

### Methods inherited from class org.springframework.core.convert.support.GenericConversionService

`addConverter, addConverter, addConverter, addConverterFactory, canBypassConvert, canConvert, canConvert, convert, convert, convertNullSource, getConverter, getDefaultConverter, removeConvertible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.ConversionService

`convert`

## Constructor Details

### DefaultConversionService

public DefaultConversionService()
Create a new `DefaultConversionService` with the set of default converters.

## Method Details

### getSharedInstance

public static ConversionService getSharedInstance()
Return a shared default `ConversionService` instance, lazily building it once needed.

NOTE: We highly recommend constructing individual `ConversionService` instances for customization purposes. This accessor is only meant as a fallback for code paths which need simple type coercion but cannot access a longer-lived `ConversionService` instance any other way.

Returns:
  the shared `ConversionService` instance (never `null`)
Since:
  4.3.5

### addDefaultConverters

public static void addDefaultConverters(ConverterRegistry converterRegistry)
Add converters appropriate for most environments.

Parameters:
  `converterRegistry` - the registry of converters to add to (must also be castable to ConversionService, for example, being a `ConfigurableConversionService`)
Throws:
  `ClassCastException` - if the given ConverterRegistry could not be cast to a ConversionService

### addCollectionConverters

public static void addCollectionConverters(ConverterRegistry converterRegistry)
Add common collection converters.

Parameters:
  `converterRegistry` - the registry of converters to add to (must also be castable to ConversionService, for example, being a `ConfigurableConversionService`)
Throws:
  `ClassCastException` - if the given ConverterRegistry could not be cast to a ConversionService
Since:
  4.2.3